#ifndef _EDITOR_SCHEMA_H_
#define _EDITOR_SCHEMA_H_

#include "grtdb/editor_dbobject.h"
#include "grtdb_backend_public_interface.h"

namespace bec {

  class MYSQLGRTDBBACKEND_PUBLIC_FUNC SchemaEditorBE : public DBObjectEditorBE
  {
  protected:
    db_SchemaRef _schema;
  public:
    virtual db_DatabaseObjectRef get_dbobject() { return get_schema(); }
    virtual db_SchemaRef& get_schema() { return _schema; }

    // table options
    virtual void set_schema_option_by_name(const std::string& name, const std::string& value);
    virtual std::string get_schema_option_by_name(const std::string& name);

    SchemaEditorBE(GRTManager *grtm, const db_SchemaRef &schema, const db_mgmt_RdbmsRef &rdbms);
  };

};


#endif /* _EDITOR_SCHEMA_H_ */
