#ifndef _WIZARD_OBJECT_FILTER_PAGE_H_
#define _WIZARD_OBJECT_FILTER_PAGE_H_

#include "grt_wizard_form.h"
#include "grtdb/db_object_master_filter.h"
#include "grtui/grtdb_object_filter.h"

namespace grtui
{
  class WizardObjectFilterPage : public WizardPage
  {
  public:
    WizardObjectFilterPage(WizardForm *form, const char *name);

    grtui::DBObjectFilterFrame *add_filter(const std::string &class_name,
                                           const std::string &caption_fmt,
                                           bec::GrtStringListModel *model,
                                           bec::GrtStringListModel *excl_model);

    void reset();

    //void reload_stored_filte_set();

    // 

  protected:
    mforms::ScrollPanel _scroll_panel;
    mforms::Box _box;
    bec::DBObjectMasterFilterBE _filter_be;

    std::vector<grtui::DBObjectFilterFrame*> _filters;
  };
};

#endif /* _WIZARD_OBJECT_FILTER_PAGE_H_ */
