#ifndef _WIZARD_SCHEMA_FILTER_PAGE_H_
#define _WIZARD_SCHEMA_FILTER_PAGE_H_

#include "grt_wizard_form.h"
#include "checkbox_list_control.h"


namespace grtui {
  class WizardSchemaFilterPage : public WizardPage
  {
  public:
    WizardSchemaFilterPage(WizardForm *form, const char *name);
    
    virtual void load();
    void leave(grt::DictRef values);

    virtual bool allow_next();

  protected:
    mforms::Box _header;
    mforms::ImageBox _image;
    mforms::Label _label;
    StringCheckBoxList _check_list;
  };
};

#endif /* _WIZARD_SCHEMA_FILTER_PAGE_H_ */
