#include "MGGladeXML.h"
#include "workbench/wb_find_dialog.h"
#include "gtk_helpers.h"

class ListModelWrapper;

namespace wb
{
  class WBContextUI;
};

class MGGladeXML;

class FindPanel : public Gtk::VBox, protected WidgetsAutoCleaner
{
  wb::WBContextUI *_wbui;
  MGGladeXML *_ui;
  wb::FindDialogBE *_be;

  void init(wb::WBContextUI *wbui, MGGladeXML *ui);

  void find_next();
  void find_previous();

  void setup_arguments();
  
  void key_press(GdkEventKey *ev, Gtk::Entry *entry);

  void handle_close();
  
  
public:
  FindPanel(GtkVBox *box);
  virtual ~FindPanel();

  virtual void show();
  
  static FindPanel *create(wb::WBContextUI *wbui);
  
};



