#ifndef _GRT_SIDEBAR_H_
#define _GRT_SIDEBAR_H_


#include <sigc++/sigc++.h>
#include <gtkmm.h>

namespace bec
{
  class GRTManager;
};

class MGGladeXML;

class ShellTreeViews;

class GRTSidebar : public sigc::trackable
{
  MGGladeXML *_xml;
  bec::GRTManager *_grtm;
  ShellTreeViews              *_shell_trees;

  
  void change_class_display(Gtk::ComboBox *combo);
  
public:
  GRTSidebar(bec::GRTManager *grtm);
  virtual ~GRTSidebar();

  Gtk::Widget *get_base();
  std::string get_title();
  
  void refresh();
  
  void reset_layout();
};


#endif /* _GRT_SIDEBAR_H_ */
