#ifndef _LF_BASE_H_
#define _LF_BASE_H_

#include <string>
#include <mforms/base.h>
#include <gtkmm.h>

namespace mforms {
namespace gtk {
  class ObjectImpl
  {
  protected:
    ::mforms::Object *owner;
    
    ObjectImpl(::mforms::Object *object)
      : owner(object)
    {
      object->set_data(this);
    }

    virtual ~ObjectImpl()
    {
      puts("FREE OBJECT");
      //TODO: Check if we need to free memory here?
    }
  };
};
};

#endif
