#ifndef _SIZEGROUP_H_
#define _SIZEGROUP_H_

#include <mforms/mforms.h>

#include <vector>

namespace mforms
{
  class MFORMS_EXPORT SizeGroup
  {
  public:
    SizeGroup(bool w, bool h);

    void add(View *v);

  protected:
    std::vector<View*> _views;
    bool _same_width;
    bool _same_height;
  };
};

#endif /* _SIZEGROUP_H_ */
