#ifndef _MFORMS_TABVIEW_H_
#define _MFORMS_TABVIEW_H_

#include <mforms/control.h>

namespace mforms
{
  class TabView;

  struct MFORMS_EXPORT TabViewImplPtrs
  {
    bool (__stdcall *create)(TabView*);
    void (__stdcall *set_active_tab)(TabView*,int);
    int (__stdcall *get_active_tab)(TabView*);
    int (__stdcall *add_page)(TabView*,View*,const std::string&);
  };

  class MFORMS_EXPORT TabView : public View
  {
    TabViewImplPtrs *_tabview_impl;

  public:
    TabView();
    void set_active_tab(int index);
    int get_active_tab();
    int add_page(View *page, const std::string& caption);
  };
};


#endif
