
#include <mforms/mforms.h>

using namespace mforms;


RadioButton::RadioButton()
{
  _radio_impl= &ControlFactory::get_instance()->_radio_impl;

  _radio_impl->create(this);
}

void RadioButton::set_active(bool flag)
{
  (*_radio_impl->set_active)(this, flag);
}

bool RadioButton::get_active()
{
  return (*_radio_impl->get_active)(this);
}

void RadioButton::callback()
{
  _signal_toggled.emit();
}

