
#include <mforms/mforms.h>
#include "mforms/scrollpanel.h"

using namespace mforms;


ScrollPanel::ScrollPanel(bool bordered)
  : View()
{
  _spanel_impl= &ControlFactory::get_instance()->_spanel_impl;

  _spanel_impl->create(this, bordered);
}



void ScrollPanel::add(View *child)
{
  _spanel_impl->add(this, child);
  child->show();
}


void ScrollPanel::remove()
{
  _spanel_impl->remove(this);
}

