
#include <mforms/tabview.h>
#include <mforms/mforms.h>

using namespace mforms;


TabView::TabView()
{
  _tabview_impl= &ControlFactory::get_instance()->_tabview_impl;

  _tabview_impl->create(this);
}


void TabView::set_active_tab(int index)
{
  _tabview_impl->set_active_tab(this, index);
}


int TabView::get_active_tab()
{
  return _tabview_impl->get_active_tab(this);
}


int TabView::add_page(View *page, const std::string& caption)
{
  return _tabview_impl->add_page(this, page, caption);
}
