#include "stdafx.h"

#include "grt/tree_model.h"
#include "mysql_schema_editor.h"


/**
 * @file  mysql_schema_editor.cpp
 * @brief 
 */


MySQLSchemaEditorBE::MySQLSchemaEditorBE(bec::GRTManager *grtm, const db_SchemaRef &schema, const db_mgmt_RdbmsRef &rdbms)
  : bec::SchemaEditorBE(grtm, schema, rdbms)
{
}

void MySQLSchemaEditorBE::refactor_catalog_upon_schema_rename(const std::string &old_name, const std::string &new_name)
{
  SqlFacade::instance_for_db_obj(_schema)->renameSchemaReferences(get_catalog(), old_name, new_name);
}

