

#include "wb_editor_image.h"

using namespace bec;


ImageEditorBE::ImageEditorBE(bec::GRTManager *grtm, const workbench_model_ImageFigureRef &image)
: bec::BaseEditor(grtm, image), _image(image)
{
}




void ImageEditorBE::set_filename(const std::string &text)
{
  AutoUndoEdit undo(this);
  _image->setImageFile(text);
  undo.end(_("Change Image"));
}


std::string ImageEditorBE::get_filename()
{
  return _image->filename();
}

