#ifndef _WB_IMAGE_EDITOR_H_
#define _WB_IMAGE_EDITOR_H_

#include "grt/editor_base.h"
#include "grts/structs.workbench.model.h"

#include "wb_editor_backend_public_interface.h"

class WBEDITOR_BACKEND_PUBLIC_FUNC ImageEditorBE : public bec::BaseEditor
{
  workbench_model_ImageFigureRef _image;

  GrtObjectRef get_object() { return _image; }

public:
  ImageEditorBE(bec::GRTManager *grtm, const workbench_model_ImageFigureRef &image);

  void set_filename(const std::string &text);
  std::string get_filename();
};

#endif /* _WB_IMAGE_EDITOR_H_ */
