#ifndef _WB_STORED_NOTE_EDITOR_H_
#define _WB_STORED_NOTE_EDITOR_H_

#include "grt/editor_base.h"
#include "grts/structs.workbench.model.h"

#include "wb_editor_backend_public_interface.h"

class WBEDITOR_BACKEND_PUBLIC_FUNC StoredNoteEditorBE : public bec::BaseEditor
{
  GrtStoredNoteRef _note;

  virtual GrtObjectRef get_object() { return _note; }

public:
  StoredNoteEditorBE(bec::GRTManager *grtm, const GrtStoredNoteRef &note);

  void set_text(const std::string &text);
  std::string get_text(bool &isutf8);

  void set_name(const std::string &name);
  std::string get_name();

  bool load_file(const std::string &name);
  bool save_file(const std::string &name);
};

#endif /* _WB_STORED_NOTE_EDITOR_H_ */
