#ifndef _TEXT_INPUT_DIALOG_H_
#define _TEXT_INPUT_DIALOG_H_

#include <mforms/mforms.h>

namespace grtui
{
  class TextInputDialog : public mforms::Form
  {
  public:
    TextInputDialog(mforms::Form *owner);

    void set_description(const std::string &text);
    void set_caption(const std::string &text);

    void set_value(const std::string &text);
    std::string get_value();

    bool run();

  protected:
    mforms::Table _table;
    mforms::Label _description;
    mforms::Label _caption;
    mforms::TextEntry _input;
    mforms::Box _button_box;
    mforms::Button _ok_button;
    mforms::Button _cancel_button;
  };
};


#endif /* _TEXT_INPUT_DIALOG_H_ */
