#ifndef _WIZARDFINISHEDPAGE_H_
#define _WIZARDFINISHEDPAGE_H_

#include "grt_wizard_form.h"

namespace grtui {

  class GRTUI_EXPORT WizardFinishedPage : public WizardPage
  {
  public:
    WizardFinishedPage(WizardForm *form,
                       const std::string &top_title);
    
    void set_heading(const std::string &title);
    void set_summary(const std::string &text);

  private:
    mforms::Label _label1;
    mforms::Label _label2;
    std::string _top_title;

    virtual bool next_closes_wizard() { return true; }

    virtual bool allow_next()
    {
      return true;
    }

    virtual bool allow_cancel()
    {
      return false;
    }

    virtual std::string next_button_caption();
  };

};



#endif /* _WIZARDFINISHEDPAGE_H_ */
