#ifndef _WIZARD_VIEW_TEXT_PAGE_H_
#define _WIZARD_VIEW_TEXT_PAGE_H_



namespace grtui {

class ViewTextPage : public WizardPage
{
public:
  ViewTextPage(WizardForm *form, const char *name= "preview", const std::string &filetype="");

  void set_text(const std::string &text);
  std::string get_text();
  
  void set_editable(bool flag= true);

  void save_text_to(const std::string &path);
  
protected:
  mforms::ScrollPanel _scroll;
  mforms::TextBox _text;
  
  mforms::Box _button_box;
  mforms::Button _save_button;
  
  std::string _filetype;
  
  void clicked();
};

};

#endif /* _WIZARD_VIEW_TEXT_PAGE_H_ */

