#ifndef _RECORDSET_DATA_STORAGE_H_
#define _RECORDSET_DATA_STORAGE_H_


#include "sqlide_public_interface.h"
#include "grt/grt_manager.h"


class Recordset;


class SQLIDE_PUBLIC_FUNC Recordset_data_storage
{
public:
  Recordset_data_storage(bec::GRTManager *grtm);
  virtual ~Recordset_data_storage();

  virtual void serialize(Recordset *rs) = 0;
  virtual void unserialize(std::vector<std::string> &field_names, std::vector<std::string> &rs) = 0;

protected:
  bec::GRTManager *_grtm;
};


#endif /* _RECORDSET_DATA_STORAGE_ */
