#include "stdafx.h"

#include "model_object_impl.h"
#include "model_diagram_impl.h"


void model_Object::ImplData::notify_realized()
{
  model_DiagramRef::cast_from(_self->owner())->get_data()->notify_object_realize(_self);
}


void model_Object::ImplData::set_in_view(bool flag) 
{
  _in_view= flag; 
  if (flag) 
    try_realize(); 
  else
    unrealize();
}


bool model_Object::ImplData::try_realize()
{
  if (is_realizable())
  {
    realize();
    return true;
  }
  return false;
}
