#ifndef __NOTE_FIGURE_H__
#define __NOTE_FIGURE_H__

#include "figure_common.h"
#include "wb_canvas_bridge_public_interface.h"


namespace wbfig {

  class MYSQLWBCANVASBRIDGE_PUBLIC Note : public BaseFigure
  {
    mdc::TextFigure _text;

  public:
    Note(mdc::Layer *layer);
    virtual ~Note();

    void set_text_color(const mdc::Color &color);
    void set_text(const std::string &text);

    virtual void set_content_font(const mdc::FontSpec &font);
  };
  
  
};

#endif

