#ifndef __VIEW_FIGURE_H__
#define __VIEW_FIGURE_H__

#include "figure_common.h"
#include "wb_canvas_bridge_public_interface.h"

namespace wbbridge { namespace physical { class ViewFigure; }; };

namespace wbfig {

  class MYSQLWBCANVASBRIDGE_PUBLIC View : public BaseFigure
  {
    friend class wbbridge::physical::ViewFigure;

    Titlebar _title;

  public:
    View(mdc::Layer *layer);
    virtual ~View();
    
    virtual void set_color(const mdc::Color &color);
    void set_title(const std::string &title);

    virtual void set_title_font(const std::string &font);

    Titlebar *get_title() { return &_title; }
  };
  
  
};

#endif

