#ifndef _WORKBENCH_MODEL_NOTEFIGURE_IMPL_H_
#define _WORKBENCH_MODEL_NOTEFIGURE_IMPL_H_

#include "model_figure_impl.h"
#include "grts/structs.workbench.model.h"

#include "note_figure.h"

class MYSQLWBCANVASBRIDGE_PUBLIC workbench_model_NoteFigure::ImplData : public model_Figure::ImplData
{
   typedef model_Figure::ImplData super;
   
 protected:
   wbfig::Note *_figure;
   
   virtual bool realize();

 public:
   ImplData(workbench_model_NoteFigure *self);
   
   void set_text(const std::string &text);
   
   virtual wbfig::BaseFigure* get_canvas_item() const { return _figure; }

   virtual void unrealize();
   
 private:
   workbench_model_NoteFigure *self() const { return (workbench_model_NoteFigure*)_self; }
}; 

#endif
