#include "stdafx.h"

#include "wb_config.h"
#include "workbench_physical_model_impl.h"
#include "workbench_physical_connection_impl.h"

#include "grt/grt_manager.h"

#include "table_figure_wb.h"



workbench_physical_Model::ImplData::ImplData(workbench_physical_Model *self)
: super(self)
{
}


static mdc::LineEndType get_line_end_type(bool mand, bool many, bool start)
{
  if (mand && many) return mdc::ChickenFoot1End;
  else if (!mand && many) return mdc::ChickenFoot0End;
  else if (mand && !many) return mdc::Cross1End;
  else return mdc::Cross0End;
}


void workbench_physical_Model::ImplData::update_relationship_figure(model_Connection::ImplData *cfig, bool imandatory, bool imany, bool fmandatory, bool fmany)
{
  wbfig::Connection *conn= dynamic_cast<wbfig::Connection*>(cfig->get_canvas_item());

  conn->set_end_type(get_line_end_type(imandatory, imany, true),
                    get_line_end_type(fmandatory, fmany, false));
}
