#ifndef _WORKBENCH_PHYSICAL_MODEL_IMPL_H_
#define _WORKBENCH_PHYSICAL_MODEL_IMPL_H_

#include "wb_config.h"

#include "model_model_impl.h"
#include "grts/structs.workbench.physical.h"

#include "grt/grt_manager.h"

#include "table_figure.h"
#include "connection_figure.h"

#include "model_connection_impl.h"

  


class MYSQLWBCANVASBRIDGE_PUBLIC workbench_physical_Model::ImplData : public model_Model::ImplData
{
  typedef model_Model::ImplData super;

    
public:
  ImplData(workbench_physical_Model *self);

  void update_relationship_figure(model_Connection::ImplData *cfig, bool imandatory, bool imany, bool fmandatory, bool fmany);
  

private:
  workbench_physical_Model *self() const { return (workbench_physical_Model*)_owner; }
};


#endif
