#ifndef _BASE_PANEL_H_
#define _BASE_PANEL_H_

#include "workbench/wb_context.h"
#include "grt/ui_form.h"

class BasePanel
{
protected:
  wb::WBContextUI *_wb;

  sigc::signal<void,std::string> _title_changed;

public:
  BasePanel(wb::WBContextUI *wb)
    : _wb(wb)
  {
  }

  virtual bec::UIForm *get_form() const= 0;

  sigc::signal<void,std::string> signal_title_changed() { return _title_changed; }
};


#endif /* _BASE_PANEL_H_ */
