#ifndef _HISTORY_TREE_H_
#define _HISTORY_TREE_H_

#include <gtkmm.h>
#include "treemodel_wrapper.h"
#include "workbench/wb_context_ui.h"
    

class HistoryTree : public Gtk::ScrolledWindow
{
  wb::WBContextUI *_wbui;
  Gtk::TreeView _tree;
  Glib::RefPtr<TreeModelWrapper> _model;
  wb::HistoryTreeBE *_history;
  int _last_count;

  void activate_row(const Gtk::TreeModel::Path &path, Gtk::TreeViewColumn *column);
public:
  HistoryTree(wb::WBContextUI *wbui);

  void refresh();
};


#endif /* _HISTORY_TREE_H_ */
