#include <mforms/button.h>
#include <mforms/mforms.h>


using namespace mforms;


Button::Button()
{
  _button_impl= &ControlFactory::get_instance()->_button_impl;

  _button_impl->create(this);
}


void Button::set_text(const std::string &text)
{
  _button_impl->set_text(this, text);
}


void Button::callback()
{
  _clicked.emit();
}
