#include <mforms/checkbox.h>
#include <mforms/mforms.h>

using namespace mforms;

CheckBox::CheckBox()
{
  _checkbox_impl= &ControlFactory::get_instance()->_checkbox_impl;

  _checkbox_impl->create(this);
}


void CheckBox::set_active(bool flag)
{
  _checkbox_impl->set_active(this, flag);
}


bool CheckBox::get_active()
{
  return _checkbox_impl->get_active(this);
}

