
#include <mforms/mforms.h>


using namespace mforms;

FileChooser::FileChooser(FileChooserType type)
{
  _filechooser_impl= &ControlFactory::get_instance()->_filechooser_impl;

  _filechooser_impl->create(this, type);
}


void FileChooser::set_title(const std::string &title)
{
  _filechooser_impl->set_title(this, title);
}

bool FileChooser::run_modal()
{
  return _filechooser_impl->run_modal(this);
}

void FileChooser::set_path(const std::string &path)
{
  _filechooser_impl->set_path(this, path);
}

std::string FileChooser::get_path()
{
  return _filechooser_impl->get_path(this);
}

void FileChooser::set_extensions(const std::string &extensions, const std::string &default_extension)
{
  _filechooser_impl->set_extensions(this, extensions, default_extension);
}
