#ifndef _LFI_CONTAINER_H_
#define _LFI_CONTAINER_H_

#include "lf_view.h"

namespace mforms { namespace gtk
{  
  class ContainerImpl : public ViewImpl
  {
  protected:
    ContainerImpl(::mforms::View *self)
      : ViewImpl(self)
    {
    }

    void add(::mforms::View *child)
    {
      ((Gtk::Container*)get_inner())->add(*child->get_data<ViewImpl>()->get_outer());
      child->show();
    }

    void remove()
    {
      ((Gtk::Bin*)get_inner())->remove();
    }

    void remove(::mforms::View *child)
    {
      ((Gtk::Container*)get_inner())->remove(*child->get_data<ViewImpl>()->get_outer());
    }
  };
  
}; };

#endif /* _LFI_CONTAINER_H_ */
