#ifndef _MFORMS_IMAGEBOX_H_
#define _MFORMS_IMAGEBOX_H_

#include <mforms/base.h>
#include <mforms/view.h>


namespace mforms 
{
  class ImageBox;

  struct ImageBoxImplPtrs
  {
    bool (__stdcall *create)(ImageBox *);
    void (__stdcall *set_image)(ImageBox *, const std::string&);
  };


  class MFORMS_EXPORT ImageBox : public View
  {
  public:
    ImageBox();
    void set_image(const std::string &file);

  protected:
    ImageBoxImplPtrs *_imagebox_impl;
  };
};

#endif
