#ifndef _MFORMS_PROGRESSBAR_H_
#define _MFORMS_PROGRESSBAR_H_

#include <mforms/base.h>
#include <mforms/view.h>


namespace mforms {
  class ProgressBar;

  struct ProgressBarImplPtrs
  {
    bool (__stdcall *create)(ProgressBar *self);
    void (__stdcall *set_value)(ProgressBar *self, float pct);
  };

  class MFORMS_EXPORT ProgressBar : public View
  {
  public:
    ProgressBar();

    void set_value(float pct);

  protected:
    ProgressBarImplPtrs *_progressbar_impl;
  };
};


#endif /* _MFORMS_PROGRESSBAR_H_ */
