#ifndef _MFORMS_SCROLLPANEL_H_
#define _MFORMS_SCROLLPANEL_H_

#include <mforms/panel.h>



namespace mforms {
  class ScrollPanel;
  
  struct MFORMS_EXPORT ScrollPanelImplPtrs
  {
    bool (__stdcall *create)(ScrollPanel*, bool bordered);

    void (__stdcall *add)(ScrollPanel*, View*);
    void (__stdcall *remove)(ScrollPanel*);
  };

  class MFORMS_EXPORT ScrollPanel : public View
  {
  public:
    ScrollPanel(bool bordered);
    
    void add(View *child);
    void remove();

  protected:
    ScrollPanelImplPtrs *_spanel_impl;
  };
};

#endif /* _MFORMS_SCROLLPANEL_H_ */
