#ifndef myx_lex_helpers_h
#define myx_lex_helpers_h

#ifdef __cplusplus
#include <iostream>
#include <fstream>

extern int yyparse();
extern void yyerror(const char *msg);

extern std::istream* lex_input_stream;
//extern HANDLE h_file;

extern "C" {
#endif

extern void *tree;
extern FILE *yyin;

struct Lex_args
{
  void *arg1;
  void *arg2;
};

extern struct Lex_args lex_args;

extern int yylex(void **yylval);
extern int yywrap();
extern void yy_custom_input(char *buf, int* result, int max_size);
extern int yy_token_match(int token, const char *value);
int yy_unknown_token(const char *value);

#ifdef __cplusplus
} // extern C
#endif

#endif // myx_lex_helpers_h

