
#ifndef _WBVALIDATION_IF_H_
#define _WBVALIDATION_IF_H_

#include <grtpp_module_cpp.h>
#include "grts/structs.db.h"

// database object validation interface definition header

class WbValidationInterfaceImpl : public grt::InterfaceImplBase
{
public:
  DECLARE_REGISTER_INTERFACE(WbValidationInterfaceImpl,
                             DECLARE_INTERFACE_FUNCTION(WbValidationInterfaceImpl::validateAll),
                             DECLARE_INTERFACE_FUNCTION(WbValidationInterfaceImpl::getValidationDescription));

  //// Call all validations
  virtual int validateAll(GrtObjectRef root)= 0;

  virtual std::string getValidationDescription(GrtObjectRef root)= 0;
};


#endif /* _WBVALIDATION_IF_H_ */
